import React from 'react';

import { Geolocation } from '@awesome-cordova-plugins/geolocation';
import { useDispatch } from 'react-redux';

import { mapActions } from '../../store/map';

import '../../theme/get-location.css';
import { IonIcon, IonItem } from '@ionic/react';
import { downloadSharp } from 'ionicons/icons';

const GpxImport: React.FC<{}> = () => {
  const dispatch = useDispatch();

  const onChangeHandler = (event: any) => {
    console.log('On change handler');
    const file = event.target.files[0];
    const fileReader = new FileReader();
    fileReader.readAsText(file);

    fileReader.addEventListener(
      'load',
      () => {
        // this will then display a text file
        console.log(fileReader.result);
      },
      false
    );
  };

  return (
    <IonItem>
      <input
        type='file'
        id='gpx-import'
        className='input-file'
        accept='.gpx'
        onChange={onChangeHandler}
      />
      <label htmlFor='gpx-import'>
        <IonIcon slot='icon-only' icon={downloadSharp} />
      </label>
    </IonItem>
  );
};

export default GpxImport;
